%define LIB_MAJOR 0
%define LIB_MINOR 7
%define LIB_REL 6

%define	major %{LIB_MAJOR}
%define libname %mklibname wrap %{major}
%define develname %mklibname wrap -d

Summary: 	A security tool which acts as a wrapper for TCP daemons
Name: 		tcp_wrappers
Version: 	7.6
Release: 	%mkrel 37
Group: 		System/Servers	
License: 	BSD
URL:		ftp://ftp.porcupine.org/pub/security/index.html
Source0:        http://ftp.porcupine.org/pub/security/%{name}_%{version}.tar.bz2
Patch0:		tcpw7.2-config.patch
Patch1:		tcpw7.2-setenv.patch
Patch2:		tcpw7.6-netgroup.patch
Patch3:		tcp_wrappers-7.6-bug11881.patch
Patch4:		tcp_wrappers-7.6-bug17795.patch
Patch5:		tcp_wrappers-7.6-bug17847.patch
Patch6:		tcp_wrappers-7.6-fixgethostbyname.patch
Patch7:		tcp_wrappers-7.6-docu.patch
Patch9:		tcp_wrappers.usagi-ipv6.patch
Patch10:	tcp_wrappers.ume-ipv6.patch
Patch11:	tcp_wrappers-7.6-shared.patch
Patch12:	tcp_wrappers-7.6-sig.patch
Patch13:	tcp_wrappers-7.6-strerror.patch
Patch14:	tcp_wrappers-7.6-ldflags.patch
Patch15:	tcp_wrappers-7.6-fix_sig-bug141110.patch
Patch16:	tcp_wrappers-7.6-162412.patch
Patch17:	tcp_wrappers-7.6-220015.patch
Patch18:	tcp_wrappers-7.6-restore_sigalarm.patch
Patch19:	tcp_wrappers-7.6-siglongjmp.patch
Patch20:	tcp_wrappers-7.6-sigchld.patch
Patch21:	tcp_wrappers-7.6-196326.patch
Patch22:	tcp_wrappers_7.6-249430.patch
Patch100:	tcp_wrappers-bug41864.diff
BuildConflicts:	%{name}-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

This version also supports IPv6.

%package -n	%{libname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:          System/Libraries

%description -n	%{libname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the shared tcp_wrappers library (libwrap).

%package -n	%{develname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwrap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       wrap-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname wrap 0 -d}

%description -n	%{develname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the static tcp_wrappers library (libwrap) and
its header files.

%prep

%setup -q -n %{name}_%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .setenv
%patch2 -p1 -b .netgroup
%patch3 -p1 -b .bug11881
%patch4 -p1 -b .bug17795
%patch5 -p1 -b .bug17847
%patch6 -p1 -b .fixgethostbyname
%patch7 -p1 -b .docu
%patch9 -p1 -b .usagi-ipv6
%patch10 -p1 -b .ume-ipv6
%patch11 -p1 -b .shared
%patch12 -p1 -b .sig
%patch13 -p1 -b .strerror
%patch14 -p1 -b .cflags
%patch15 -p1 -b .fix_sig
%patch16 -p1 -b .162412
%patch17 -p1 -b .220015
%patch18 -p1 -b .restore_sigalarm
%patch19 -p1 -b .siglongjmp
%patch20 -p1 -b .sigchld
%patch21 -p1 -b .196326
%patch22 -p1 -b .249430

%patch100 -p0 -b .bug41864

%build
%serverbuild
%make RPM_OPT_FLAGS="$CFLAGS -fPIC -DPIC -D_REENTRANT -DHAVE_STRERROR" \
    LDFLAGS="-pie" REAL_DAEMON_DIR=%{_sbindir} \
    MAJOR=%{LIB_MAJOR} MINOR=%{LIB_MINOR} REL=%{LIB_REL} linux

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_includedir},%{_libdir},%{_sbindir},%{_mandir}/man{3,5,8}}

install -m644 hosts_access.3 %{buildroot}%{_mandir}/man3
install -m644 hosts_access.5 hosts_options.5 %{buildroot}%{_mandir}/man5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.allow.5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.deny.5
install -m644 tcpd.8 tcpdchk.8 tcpdmatch.8 %{buildroot}%{_mandir}/man8

install -m755 libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}%{_libdir}/
ln -s libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}%{_libdir}/libwrap.so.%{LIB_MAJOR}
ln -s libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}%{_libdir}/libwrap.so

install -m644 libwrap.a %{buildroot}%{_libdir}
install -m644 tcpd.h %{buildroot}%{_includedir}

install -s -m755 safe_finger %{buildroot}%{_sbindir}
install -s -m755 tcpd %{buildroot}%{_sbindir}
install -s -m755 tcpdchk %{buildroot}%{_sbindir}
install -s -m755 tcpdmatch %{buildroot}%{_sbindir}
install -s -m755 try-from %{buildroot}%{_sbindir}

# (fg) 20000905 FIXME FIXME FIXME: setenv in libwrap.a is rather strange for
# one, so I remove it here - but will it break anything else?
#(peroyvind): do it with a patch in stead now
#ar d %{buildroot}%{_libdir}/libwrap.a setenv.o

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%{_sbindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc DISCLAIMER
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-37mdv2009.0
+ Revision: 282099
- sync with tcp_wrappers-7.6-53.fc10.src.rpm
- fix #41864 (sshd consumes 100%% of cpu and never responds
  if /etc/hosts.allow line has too many spaces.)

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 7.6-36mdv2009.0
+ Revision: 265751
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-35mdv2009.0
+ Revision: 209530
- don't obsolete itself (duh!)

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-34mdv2009.0
+ Revision: 209448
- added P17-P22 from fedora
- fix devel package naming

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-33mdv2008.1
+ Revision: 179636
- really use %%serverbuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 7.6-32mdv2008.0
+ Revision: 89553
- rebuild due to package loss

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 7.6-31mdv2008.0
+ Revision: 82503
- version Requires/Obsoletes/Provides
- Provides: wrap-devel = %%{version}-%%{release}

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 7.6-30mdv2008.0
+ Revision: 48250
- rebuild with new serverbuild macro (-fstack-protector-all)


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 16:41:14 (63378)
- bunzip patches

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 16:33:36 (63377)
- Import tcp_wrappers

* Mon Jan 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 7.6-28mdk
- %%mkrel
- fixes from fedora:
	o fixed uninitialized fp in function inet_cfg (rh #162412)
	o fixed sig patch (rh #141110). Thanks to Nikita Shulga for the patch

* Wed Oct 26 2005 Oden Eriksson <oeriksson@mandriva.com> 7.6-27mdk
- build the binaries against the shared lib, adjusted P11 and P14
- libifiction

* Wed Aug 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7.6-26mdk
- gcc4 rebuild, dependent packages need to rebuild against this static lib

* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.6-25mdk
- sync with fedora
- cosmetics
- fix summary-ended-with-dot

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.6-24mdk
- rebuild

